Description: Identify *freebsd as a UNIX-like OS
 Match "gnukfreebsd" or "freebsd", when assigning $os_is_nix. Fixes
 build on *FreeBSD.
Author: Steven Chamberlain <stevenc@debian.org>
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=834864
--- a/hisat2
+++ b/hisat2
@@ -45,7 +45,7 @@
 
 ($vol,$script_path,$prog) 
                 = File::Spec->splitpath($prog);
-my $os_is_nix   = ($^O eq "linux") || ($^O eq "darwin");
+my $os_is_nix   = ($^O eq "linux") || ($^O eq "darwin") || ($^O =~ /freebsd$/);
 my $align_bin_s = $os_is_nix ? 'hisat2-align-s' : 'hisat2-align-s.exe'; 
 my $build_bin   = $os_is_nix ? 'hisat2-build' : 'hisat2-build.exe';               
 my $align_bin_l = $os_is_nix ? 'hisat2-align-l' : 'hisat2-align-l.exe'; 
